<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Explanation of Passive/Active Methods: nautilus-python Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="nautilus-python Reference Manual">
<link rel="up" href="nautilus-python-overview.html" title="Overview">
<link rel="prev" href="nautilus-python-overview-example.html" title="A Simple Extension">
<link rel="next" href="nautilus-python-class-reference.html" title="Available Classes">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="nautilus-python-overview.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="nautilus-python-overview-example.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="nautilus-python-class-reference.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h2 class="title">
<a name="nautilus-python-overview-methods"></a>Explanation of Passive/Active Methods</h2></div></div></div>
<p>Because nautilus-python is an interface to a Nautilus' extension interface rather than a true library, it is
    rather quirky in how it works.  One example of this is that several providers have additional public methods
    that an extension actively calls, rather than the extension defining and the method in their class that is called by
    Nautilus.  You can see this with the <GTKDOCLINK HREF="method-nautilus--menu-provider-emit-items-updated-signal">Nautilus.menu_provider_emit_items_updated_signal</GTKDOCLINK>
    and <GTKDOCLINK HREF="method-nautilus--info-provider-update-complete-invoke">Nautilus.info_provider_update_complete_invoke</GTKDOCLINK> methods, which
    the extension actively calls, passing the provider instance as a parameter.
    </p>
<p>Due to this confusion, I have termed these actively-called methods <span class="emphasis"><em>Active Methods</em></span> and the methods
    called by Nautilus are termed <span class="emphasis"><em>Passive Methods</em></span>.</p>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>
